Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.singularsys.jep.standard
Class StandardOperatorTable

    java.lang.Object
      com.singularsys.jep.OperatorTable
          com.singularsys.jep.standard.StandardOperatorTable

All Implemented Interfaces:
  JepComponent, java.io.Serializable

Direct Known Subclasses:
  ExtendedOperatorSet

    public class StandardOperatorTable

extends OperatorTable

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.singularsys.jep.OperatorTable
`baseNumOps, numOps, OP_ADD, OP_AND, OP_ASSIGN, OP_CROSS, OP_DIVIDE, OP_DOT, OP_ELEMENT, OP_EQ, OP_GE, OP_GT, OP_LE, OP_LIST, OP_LT, OP_MOD, OP_MULTIPLY, OP_NE, OP_NEGATE, OP_NOP, OP_NOT, OP_OR, OP_POWER, OP_RANGE, OP_RECIP, OP_SUBTRACT, OP_UPLUS, ops`

Constructor Summary
`StandardOperatorTable()` Create the standard set of operators.

Method Summary
`void` | `init(Jep jep)` Initialize the component.

Methods inherited from class com.singularsys.jep.OperatorTable
`addOperator, addOperator, appendOperator, getAdd, getAnd, getAssign, getCross, getDivide, getDot, getEle, getEQ, getGE, getGT, getLE, getLightWeightInstance, getList, getLT, getMod, getMultiply, getNE, getNop, getNot, getNumOps, getOperator, getOperators, getOperatorsByName, getOperatorsBySymbol, getOr, getPower, getRange, getSubtract, getUDivide, getUMinus, getUPlus, insertOperator, removeOperator, setBinaryInverseOp, setDistributiveOver, setInverseOp, setNumOps, setPrecedenceTable, setRootOp, setStandardOperatorRelations, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StandardOperatorTable

    public StandardOperatorTable()

  Create the standard set of operators.

Method Detail

### init

    public void init(Jep jep)

  Description copied from interface: `JepComponent`
  Initialize the component. This methods is called whenever a component is added to Jep. Hence it allows components to keep track of the other components they may rely on.

  Specified by:
    `init` in interface `JepComponent`
  Overrides:
    `init` in class `OperatorTable`
  Parameters:
    `jep` - the current Jep instance

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Singular Systems http://www.singularsys.com/jep